View Javadoc

    1   /*
    2    * This file is part of dependency-check-core.
    3    *
    4    * Dependency-check-core is free software: you can redistribute it and/or modify it
    5    * under the terms of the GNU General Public License as published by the Free
    6    * Software Foundation, either version 3 of the License, or (at your option) any
    7    * later version.
    8    *
    9    * Dependency-check-core is distributed in the hope that it will be useful, but
    10   * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    11   * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
    12   * details.
    13   *
    14   * You should have received a copy of the GNU General Public License along with
    15   * dependency-check-core. If not, see http://www.gnu.org/licenses/.
    16   *
    17   * Copyright (c) 2013 Jeremy Long. All Rights Reserved.
    18   */
    19  package org.owasp.dependencycheck.concurrency;
    20
    21  /**
    22   * If thrown, indicates that there is a problem with a directory.
    23   *
    24   * @author Jeremy Long (jeremy.long@owasp.org)
    25   */
    26  public class InvalidDirectoryException extends Exception {
    27
    28      /**
    29       * Default serial version UID.
    30       */
    31      private static final long serialVersionUID = 1L;
    32
    33      /**
    34       * Constructs a new Invalid Directory Exception.
    35       */
    36      public InvalidDirectoryException() {
    37          super();
    38      }
    39
    40      /**
    41       * Constructs a new Invalid Directory Exception.
    42       *
    43       * @param msg the message describing the exception
    44       */
    45      public InvalidDirectoryException(String msg) {
    46          super(msg);
    47      }
    48
    49      /**
    50       * Constructs a new Invalid Directory Exception.
    51       *
    52       * @param ex the cause of the exception
    53       */
    54      public InvalidDirectoryException(Throwable ex) {
    55          super(ex);
    56      }
    57
    58      /**
    59       * Constructs a new Invalid Directory Exception.
    60       *
    61       * @param msg the message describing the exception
    62       * @param ex the cause of the exception
    63       */
    64      public InvalidDirectoryException(String msg, Throwable ex) {
    65          super(msg, ex);
    66      }
    67  }